create table hughejj1_002_result_ingred_counts as
select n_ingreds, count(*) as n_results
from (select person_id, screen_id, measurement_datetime, count(distinct ingred_name) as n_ingreds
      from hughejj1_002_screen_conf_drug_exp
      group by person_id, screen_id, measurement_datetime
      union
      select person_id, screen_id, measurement_datetime, 0 as n_ingreds
      from (select a.person_id, a.screen_id, a.measurement_datetime
            from hughejj1_002_screen_conf as a
            left join hughejj1_002_screen_conf_drug_exp as b
            on a.person_id = b.person_id and a.screen_id = b.screen_id and a.measurement_datetime = b.measurement_datetime
            where b.person_id is null and b.screen_id is null and b.measurement_datetime is null) as c) as d
group by n_ingreds
