create table hughejj1_002_screen_conf as
select s.person_id, s.measurement_datetime, s.measurement_date, s.screen_target, s.screen_id, s.screen_value, c.conf_value,
  case
    when s.screen_value = 0 then 'neg'
    when s.screen_value = 1 and c.conf_value = 0 then 'pos_neg'
    else 'pos_pos'
  end as measurement_result
from hughejj1_002_screen as s
left join hughejj1_002_conf_3 as c
on s.person_id = c.person_id and s.measurement_datetime = c.measurement_datetime and s.screen_target = c.screen_target
where (s.screen_value = 0 and c.conf_value is null) or (s.screen_value = 1 and c.conf_value in (0, 1))
