create table hughejj1_002_conf_1 as
select distinct m.person_id, m.measurement_datetime, a.screen_target,
a.assay_id as conf_id, m.value_source_value as raw_value, a.result_type
from measurement as m
inner join hughejj1_002_first_visit as v
on m.person_id = v.person_id
inner join hughejj1_002_assay_metadata as a
on m.measurement_source_value = a.assay_id
where a.assay_type = 'confirmation' and m.measurement_date >= (select min_date from hughejj1_002_params)
and m.measurement_date >= v.first_visit_date + cast((select max_days_valid from hughejj1_002_params) || ' days' as interval)
