create table hughejj1_002_conf_2 as
select distinct m.*, ar.num_value
from hughejj1_002_conf_1 as m
inner join hughejj1_002_assay_result_metadata as ar
on m.result_type = ar.result_type and trim(leading from lower(m.raw_value)) = ar.raw_value
where m.result_type = 'qualitative' and ar.assay_type = 'confirmation'
union
select distinct m.*,
  case
    when trim(leading from lower(raw_value)) = 'negative' or regexp_like(raw_value, '^<+') then 0
    when trim(leading from lower(raw_value)) = 'positive' or regexp_like(raw_value, '^[>|0-9]*') then 1
    else -1
  end as num_value
from hughejj1_002_conf_1 as m
where m.result_type = 'quantitative'
