create table hughejj1_002_conf_3 as
select m.person_id, m.measurement_datetime, m.screen_target,
  case
    when max(m.num_value) = 1 then 1
    when count(*) = n_required and sum(m.num_value) = 0 then 0
    else -1
  end as conf_value
from hughejj1_002_conf_2 as m
inner join (select screen_target, count(*) as n_required
            from hughejj1_002_assay_metadata
            where assay_type = 'confirmation'
            group by screen_target) as a
on m.screen_target = a.screen_target
group by m.person_id, m.measurement_datetime, m.screen_target, a.n_required
